import ConfigParser

try:
    import local_config as config
except ImportError:
    import config
    
parser = ConfigParser.RawConfigParser()
parser.read(config.configfile)

blob_dir = "/tmp/blobs"
if parser.has_option ("main", "blob_dir"):
    blob_dir = parser.get ("main", "blob_dir")

release_dir = "/tmp/releases"
if parser.has_option ("main", "release_dir"):
    release_dir = parser.get ("main", "release_dir")

diff_dir = "/tmp/diffs"
if parser.has_option ("main", "diff_dir"):
    diff_dir = parser.get ("main", "diff_dir")

image_id = "olpc"
if parser.has_option ("main", "image_id"):
    image_id = parser.get ("main", "image_id")

download_uri = "http://olpc.download.redhat.com/updatinator/"
if parser.has_option ("main", "download_uri"):
    image_id = parser.get ("main", "download_uri")

save_diffs = False
if parser.has_option ("main", "save_diffs"):
    val = parser.get ("main", "save_diffs").lower()
    save_diffs =  (val == "1" or val == "true")
